共用方式為


SAP Central Instances - Update

更新 SAP Central Services 實例資源。

這可用來更新資源上的標記。

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Workloads/sapVirtualInstances/{sapVirtualInstanceName}/centralInstances/{centralInstanceName}?api-version=2023-04-01

URI 參數

名稱 位於 必要 類型 Description
centralInstanceName
path True

string

中央服務實例資源名稱字串模型化為參數,以便自動產生正常運作。

resourceGroupName
path True

string

minLength: 1
maxLength: 90

資源群組的名稱。 名稱不區分大小寫。

sapVirtualInstanceName
path True

string

SAP 解決方案資源的虛擬實例名稱

subscriptionId
path True

string

minLength: 1

目標訂用帳戶的標識碼。

api-version
query True

string

minLength: 1

要用於這項作業的 API 版本。

要求本文

名稱 類型 Description
tags

object

取得或設定資源標籤。

回應

名稱 類型 Description
200 OK

SAPCentralServerInstance

描述所建立的 SAP 中央服務實例資源。

201 Created

SAPCentralServerInstance

描述所建立的 SAP 中央服務實例資源。

Other Status Codes

ErrorResponse

描述作業失敗原因的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 流

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

SAPCentralInstances_Update

範例要求

PATCH https://management.azure.com/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Workloads/sapVirtualInstances/X00/centralInstances/centralServer?api-version=2023-04-01

{
  "tags": {
    "tag1": "value1"
  }
}

範例回覆

{
  "id": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Workloads/sapVirtualInstances/X00/centralInstances/centralServer",
  "name": "centralServer",
  "type": "Microsoft.Workloads/sapVirtualInstances/centralInstances",
  "tags": {
    "tag1": "value1"
  },
  "location": "westcentralus",
  "systemData": {
    "createdBy": "user@xyz.com",
    "createdByType": "User",
    "createdAt": "2021-08-19T15:10:46.196Z",
    "lastModifiedBy": "user@xyz.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2021-08-19T15:10:46.196Z"
  },
  "properties": {
    "instanceNo": "00",
    "subnet": null,
    "messageServerProperties": {
      "msPort": 3600,
      "internalMsPort": 3900,
      "httpPort": 8100,
      "httpsPort": 44400,
      "hostname": "vh-ascs1",
      "ipAddress": "10.0.0.5",
      "health": "Healthy"
    },
    "enqueueServerProperties": {
      "port": 3600,
      "hostname": "vh-ascs1",
      "ipAddress": "10.0.0.5",
      "health": "Healthy"
    },
    "gatewayServerProperties": {
      "port": 3300,
      "health": "Healthy"
    },
    "enqueueReplicationServerProperties": {
      "ersVersion": "EnqueueReplicator1",
      "instanceNo": "00",
      "hostname": "vh-ers1",
      "kernelVersion": "777",
      "kernelPatch": "patch 300",
      "ipAddress": "10.0.0.5",
      "health": "Healthy"
    },
    "kernelVersion": "777",
    "kernelPatch": "patch 300",
    "vmDetails": [
      {
        "virtualMachineId": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Compute/virtualMachines/cs-vm",
        "type": "Primary"
      }
    ],
    "status": "Running",
    "health": "Unknown",
    "errors": null,
    "provisioningState": "Succeeded"
  }
}
{
  "id": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Workloads/sapVirtualInstances/X00/centralInstances/centralServer",
  "name": "centralServer",
  "type": "Microsoft.Workloads/sapVirtualInstances/centralInstances",
  "tags": {},
  "location": "westcentralus",
  "systemData": {
    "createdBy": "user@xyz.com",
    "createdByType": "User",
    "createdAt": "2021-08-19T15:10:46.196Z",
    "lastModifiedBy": "user@xyz.com",
    "lastModifiedByType": "User",
    "lastModifiedAt": "2021-08-19T15:10:46.196Z"
  },
  "properties": {
    "instanceNo": "00",
    "subnet": null,
    "messageServerProperties": {
      "msPort": 3600,
      "internalMsPort": 3900,
      "httpPort": 8100,
      "httpsPort": 44400,
      "hostname": "vh-ascs1",
      "ipAddress": "10.0.0.5",
      "health": "Healthy"
    },
    "enqueueServerProperties": {
      "port": 3600,
      "hostname": "vh-ascs1",
      "ipAddress": "10.0.0.5",
      "health": "Healthy"
    },
    "gatewayServerProperties": {
      "port": 3300,
      "health": "Healthy"
    },
    "enqueueReplicationServerProperties": {
      "ersVersion": "EnqueueReplicator1",
      "instanceNo": "00",
      "hostname": "vh-ers1",
      "kernelVersion": "777",
      "kernelPatch": "patch 300",
      "ipAddress": "10.0.0.5",
      "health": "Healthy"
    },
    "kernelVersion": "777",
    "kernelPatch": "patch 300",
    "vmDetails": [
      {
        "virtualMachineId": "/subscriptions/6d875e77-e412-4d7d-9af4-8895278b4443/resourceGroups/test-rg/providers/Microsoft.Compute/virtualMachines/cs-vm",
        "type": "Primary"
      }
    ],
    "status": "Running",
    "health": "Unknown",
    "errors": null,
    "provisioningState": "Succeeded"
  }
}

定義

名稱 Description
CentralServerVirtualMachineType

定義中央伺服器 VM 的類型。

CentralServerVmDetails

SAP Central Services 實例 VM 詳細數據。

createdByType

建立資源的身分識別類型。

EnqueueReplicationServerProperties

定義 SAP 加入佇列復寫伺服器 (ERS) 屬性。

EnqueueReplicationServerType

定義加入佇列復寫伺服器的型別。

EnqueueServerProperties

定義 SAP 加入佇列伺服器屬性。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDefinition

錯誤定義。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

GatewayServerProperties

定義 SAP Gateway Server 屬性。

LoadBalancerDetails

Load Balancer 詳細數據,例如 Load Balancer 識別符。

MessageServerProperties

定義 SAP 訊息伺服器屬性。

SAPCentralServerInstance

定義 SAP Central Services 實例資源。

SAPHealthState

定義 SAP 實例的健康情況。

SAPVirtualInstanceError

SAP 工作負載服務的虛擬實例發生錯誤回應。

SapVirtualInstanceProvisioningState

定義布建狀態。

SAPVirtualInstanceStatus

定義 SAP 實例狀態。

StorageInformation

連結至 VM 之所有記憶體帳戶的記憶體詳細數據。 例如 AFS 共用記憶體上的 NFS。

systemData

與建立和上次修改資源相關的元數據。

UpdateSAPCentralInstanceRequest

定義更新 SAP 中央實例的要求本文。

CentralServerVirtualMachineType

定義中央伺服器 VM 的類型。

Description
Primary
Secondary
Unknown
ASCS
ERSInactive
ERS
Standby

CentralServerVmDetails

SAP Central Services 實例 VM 詳細數據。

名稱 類型 Description
storageDetails

StorageInformation[]

附加至 ASCS 虛擬機之所有記憶體帳戶的記憶體詳細數據。 例如 AFS 共用記憶體上的 NFS。

type

CentralServerVirtualMachineType

定義中央伺服器 VM 的類型。

virtualMachineId

string

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

EnqueueReplicationServerProperties

定義 SAP 加入佇列復寫伺服器 (ERS) 屬性。

名稱 類型 Description
ersVersion

EnqueueReplicationServerType

定義加入佇列復寫伺服器的型別。

health

SAPHealthState

定義 SAP 實例的健康情況。

hostname

string

ERS SAP 主機名。

instanceNo

string

ERS 實例號碼。

ipAddress

string

ERS SAP IP 位址。

kernelPatch

string

ERS SAP 核心修補程式層級。

kernelVersion

string

ERS SAP 核心版本。

EnqueueReplicationServerType

定義加入佇列復寫伺服器的型別。

Description
EnqueueReplicator1
EnqueueReplicator2

EnqueueServerProperties

定義 SAP 加入佇列伺服器屬性。

名稱 類型 Description
health

SAPHealthState

定義 SAP 實例的健康情況。

hostname

string

加入佇列伺服器 SAP 主機名。

ipAddress

string

加入佇列伺服器 SAP IP 位址。

port

integer (int64)

加入佇列伺服器埠。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDefinition

錯誤定義。

名稱 類型 Description
code

string

服務特定的錯誤碼,做為 HTTP 錯誤碼的子狀態。

details

ErrorDefinition[]

內部錯誤詳細數據。

message

string

錯誤的描述。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳細數據。

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

GatewayServerProperties

定義 SAP Gateway Server 屬性。

名稱 類型 Description
health

SAPHealthState

定義 SAP 實例的健康情況。

port

integer (int64)

閘道埠。

LoadBalancerDetails

Load Balancer 詳細數據,例如 Load Balancer 識別符。

名稱 類型 Description
id

string

MessageServerProperties

定義 SAP 訊息伺服器屬性。

名稱 類型 Description
health

SAPHealthState

定義 SAP 實例的健康情況。

hostname

string

訊息伺服器 SAP 主機名。

httpPort

integer (int64)

訊息伺服器 HTTP 埠。

httpsPort

integer (int64)

訊息伺服器 HTTPS 連接埠。

internalMsPort

integer (int64)

訊息伺服器內部 MS 連接埠。

ipAddress

string

訊息伺服器IP位址。

msPort

integer (int64)

訊息伺服器埠。

SAPCentralServerInstance

定義 SAP Central Services 實例資源。

名稱 類型 Description
id

string

資源的完整資源標識碼。 例如 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

資源所在的地理位置

name

string

資源的名稱

properties.enqueueReplicationServerProperties

EnqueueReplicationServerProperties

定義 SAP 加入佇列復寫伺服器 (ERS) 屬性。

properties.enqueueServerProperties

EnqueueServerProperties

定義 SAP 加入佇列伺服器屬性。

properties.errors

SAPVirtualInstanceError

定義與 SAP Central Services 實例資源相關的錯誤。

properties.gatewayServerProperties

GatewayServerProperties

定義 SAP Gateway Server 屬性。

properties.health

SAPHealthState

定義 SAP 實例的健康情況。

properties.instanceNo

string

中央服務實例編號。

properties.kernelPatch

string

中央服務實例核心修補程式層級。

properties.kernelVersion

string

中央服務實例核心版本。

properties.loadBalancerDetails

LoadBalancerDetails

Load Balancer 詳細數據,例如附加至 ASCS 虛擬機的 LoadBalancer 識別符

properties.messageServerProperties

MessageServerProperties

定義 SAP 訊息伺服器屬性。

properties.provisioningState

SapVirtualInstanceProvisioningState

定義布建狀態。

properties.status

SAPVirtualInstanceStatus

定義 SAP 實例狀態。

properties.subnet

string

中央服務實例子網。

properties.vmDetails

CentralServerVmDetails[]

對應至中央服務實例的虛擬機清單。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的型別。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts”

SAPHealthState

定義 SAP 實例的健康情況。

Description
Unknown
Healthy
Unhealthy
Degraded

SAPVirtualInstanceError

SAP 工作負載服務的虛擬實例發生錯誤回應。

名稱 類型 Description
properties

ErrorDefinition

SAP 錯誤本文的虛擬實例。

SapVirtualInstanceProvisioningState

定義布建狀態。

Description
Succeeded
Updating
Creating
Failed
Deleting

SAPVirtualInstanceStatus

定義 SAP 實例狀態。

Description
Starting
Running
Stopping
Offline
PartiallyRunning
Unavailable
SoftShutdown

StorageInformation

連結至 VM 之所有記憶體帳戶的記憶體詳細數據。 例如 AFS 共用記憶體上的 NFS。

名稱 類型 Description
id

string

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。

UpdateSAPCentralInstanceRequest

定義更新 SAP 中央實例的要求本文。

名稱 類型 Description
tags

object

取得或設定資源標籤。